#include <iostream>
#include <string>
#include <cmath>
using namespace std;

string premestiti(string s, char c1, char c2)
{
    int l = s.length();
 
    for (int i = 0; i < l; i++) {
 
        if (s[i] == c1){
            s[i] = c2;
        }
    }
    return s;
}

int prebrojati(string s, char c)
{
    int x = 0;
 
    for (int i=0;i<s.length();i++){
        if (s[i] == c)
            x++;
    }
 
    return x;
}

int main() {
    string T; cin>>T;
    string S; cin>>S;
    
    char c2 = char(42);
    
    string resenje;
    int z;
    int m =0;
    
    char x[30];
    int brojTihSlova[30];
    int brojSubteksta[30];
    for(int i = 97; i<= 122; i++){
        x[i] = i;
        brojTihSlova[i] = prebrojati(T, x[i]);
        brojSubteksta[i] = prebrojati(S,x[i]);
        if((brojTihSlova[i] >0 && brojSubteksta[i] >0 ) && (brojSubteksta[i]== brojTihSlova[i])){
            z=i;
            m++;
            resenje = premestiti(T, char(z), c2);
            T = resenje;
        }
    
        
    }


    cout <<m<<endl<< resenje;
}